Bug 1124367 - [QE] (6.3.1) Wrong usage of 'parallel' option in infinispan unit tests
Summary: [QE] (6.3.1) Wrong usage of 'parallel' option in infinispan unit tests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering, Testsuite
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.3.1
Assignee: Petr Kremensky
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On: 1124348
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:00 UTC by Petr Kremensky
Modified: 2014-10-13 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1124348
Environment:
Last Closed: 2014-10-13 18:39:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBQA-10147 Major Open TEST-org.jboss.as.clustering.infinispan.*.xml reports are produced wrongly 2014-08-31 19:53:30 UTC

Description Petr Kremensky 2014-07-29 11:00:02 UTC
+++ This bug was initially created as a clone of Bug #1124348 +++

Description of problem:
According to [1] the option 'parallel' is used wrongly in clustering/infinispan/pom.xml. This is causing that the name of SubsystemParsingTestCase (class is annotated with @Ignore) is always substituted with the name of fist test from set and junit report of the fist test is overwritten by the ignored test case report.

[1] - http://maven.apache.org/surefire/maven-surefire-plugin/test-mojo.html#parallel

Version-Release number of selected component (if applicable):
EAP 6.3.0.ER10

How reproducible:
Always

Steps to Reproduce:
1. cd jboss-eap-6.3-src/clustering/infinispan
2. mvn test

Actual results (see the ignored test):
-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Concurrency config is parallel='false', perCoreThreadCount=true, threadCount=2, useUnlimitedThreads=false
Running org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManagerTest
Tests run: 24, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.216 sec
Running org.jboss.as.clustering.infinispan.subsystem.OperationSequencesTestCase
Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 2.217 sec
Running org.jboss.as.clustering.infinispan.subsystem.InfinispanSubsystemTestCase
Tests run: 30, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 7.553 sec
Running org.jboss.as.clustering.infinispan.subsystem.OperationsTestCase
Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.318 sec
Running org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManagerTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0 sec
Running org.jboss.as.clustering.infinispan.subsystem.InfinispanSubsystemTransformerTestCase
Tests run: 7, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 8.5 sec
...
Tests run: 71, Failures: 0, Errors: 0, Skipped: 1
Jenkins reports - Test run: 47

Expected results (see the ignored test):
-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Concurrency config is parallel='false', perCoreThreadCount=true, threadCount=2, useUnlimitedThreads=false
Running org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManagerTest
Tests run: 24, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.216 sec
Running org.jboss.as.clustering.infinispan.subsystem.OperationSequencesTestCase
Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 2.217 sec
Running org.jboss.as.clustering.infinispan.subsystem.InfinispanSubsystemTestCase
Tests run: 30, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 7.553 sec
Running org.jboss.as.clustering.infinispan.subsystem.OperationsTestCase
Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.318 sec
Running org.jboss.as.clustering.infinispan.SubsystemParsingTestCase
Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0 sec
Running org.jboss.as.clustering.infinispan.subsystem.InfinispanSubsystemTransformerTestCase
Tests run: 7, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 8.5 sec
...
Tests run: 71, Failures: 0, Errors: 0, Skipped: 1
Jenkins reports - Test run: 71

Additional info:
Remote the <parallel>false</parallel> from pom.xml

Comment 5 Petr Kremensky 2014-08-29 05:13:53 UTC
Verified on 6.3.1.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.